> ## Documentation Index
> Fetch the complete documentation index at: https://docs.synctera.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Reverse a reward

> Reverse the reward by creating a reversal transaction.




## OpenAPI

````yaml openapi-v1.json post /rewards/{reward_id}/reverse
openapi: 3.0.3
info:
  description: >-
    This is the official reference documentation for Synctera APIs. If you need
    something specific or have a question, <a class='text-blue-600'
    href='https://synctera.com/contact-us' target='_blank'
    rel='noreferrer'>contact us</a>.</p>
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  title: Synctera API
  version: 1.181.0
servers:
  - description: Production
    url: https://api.synctera.com/v1
  - description: Sandbox (no real world financial impact)
    url: https://api-sandbox.synctera.com/v1
security:
  - bearerAuth: []
tags:
  - description: |
      Requests to create and manage Rewards
    name: Rewards (beta)
  - description: Requests to generate simulated webhooks
    name: Card Webhook Simulations
  - description: >-
      Testing endpoints to simulate in-store cash deposits. Available in sandbox
      environments only.
    name: In-Store Cash Deposit Simulations
  - description: Create and manage spending controls
    name: Spend Controls (beta)
  - description: Rates
    name: Rates
  - description: Requests to create and manage webhooks
    name: Webhooks
  - description: Tenant Config
    name: Tenant Config
  - description: FDX authentication and data transfer using Plaid Core Exchange
    name: Plaid Core Exchange (beta)
  - description: Create and manage disputes
    name: Disputes
  - description: Requests to simulate card payments
    name: Card Simulations
  - description: |
      Manage fee products and fee configs for automated fee collection
    name: Fee Products
  - description: Apple Pay APIs
    name: Apple Pay
  - description: Lending Config
    name: Lending Config
  - description: Payments related to lending accounts
    name: Payments
  - description: Manage negative balance processes
    name: Negative Balance
  - description: Configuration for mapping LoanPro events to Payola transaction parameters
    name: LoanPro Transaction Event Config
  - description: Requests to generate simulated transactions
    name: Cash Transaction Simulations (alpha)
  - description: Create and manage transactions
    name: Transactions (beta)
  - description: Autopay payment records for billing periods
    name: Autopays
  - description: Create and manage accounts
    name: Accounts
  - description: |
      Requests to create and manage batch payments
    name: Batch Payments (alpha)
  - description: Billing rates
    name: Billing Rates
  - description: Bank Delinquency Configuration
    name: Bank Delinquency Configuration
  - description: >-
      Rules that map a posted payment transaction (bank/partner + transaction
      attributes) to a regulatory payment code. NULL match columns act as
      wildcards.
    name: Payment Code Configuration
  - description: Create and manage Synctera Pay templates
    name: SyncteraPay
  - description: |
      Manage reward products and reward configs for automated cashback rewards
    name: Reward Products
  - description: Requests to create and manage card disputes
    name: Card Disputes
  - description: >-
      Per bank/partner account-type mapping to FFIEC collateral codes used for
      regulatory call report furnishment.
    name: Collateral Code Configuration
  - description: Bulk card issuance
    name: Bulk Issuance
  - description: Autopay configuration management for lending accounts
    name: Autopay Configs
  - description: Request to create and manage exclusions
    name: Statements
  - description: Create and manage barcodes for in-store cash deposits
    name: In-Store Cash Deposits
  - description: Customer Service Details for disputes and billing inquiries
    name: Customer Service Details
  - description: Create a credit application.
    name: Applications (beta)
  - description: Requests to generate simulated transactions
    name: Card Transaction Simulations
  - description: Billing period summaries
    name: Billing Period Summaries
  - description: Requests to issue and manage cards
    name: Cards
  - description: Push and pull from cards
    name: External Cards
  - description: |
      Requests to create and manage fees
    name: Fees (beta)
paths:
  /rewards/{reward_id}/reverse:
    summary: Rewards
    post:
      tags:
        - Rewards
      summary: Reverse a reward
      description: |
        Reverse the reward by creating a reversal transaction.
      operationId: reverseReward
      parameters:
        - $ref: '#/components/parameters/idempotency_key'
        - $ref: '#/components/parameters/reward_id_path'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/reward_reverse_post'
        description: Reward reversal properties
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/reward_response'
          description: Reversal reward
        '400':
          $ref: '#/components/responses/bad_request'
        '401':
          $ref: '#/components/responses/unauthorized'
        '403':
          $ref: '#/components/responses/forbidden'
        '409':
          $ref: '#/components/responses/already_exists'
        '500':
          $ref: '#/components/responses/internal_server_error'
components:
  parameters:
    idempotency_key:
      description: >-
        An idempotency key is an arbitrary unique value generated by client to
        detect subsequent retries of the same request. It is recommended that a
        UUID or a similar random identifier be used as an idempotency key. A
        different key must be used for each request, unless it is a retry.
      in: header
      name: Idempotency-Key
      schema:
        example: 7d943c51-e4ff-4e57-9558-08cab6b963c7
        type: string
    reward_id_path:
      description: The unique identifier of a reward
      in: path
      name: reward_id
      required: true
      schema:
        example: 64438afd-fa20-4010-a573-2bbdca77cdb6
        format: uuid
        type: string
  schemas:
    reward_reverse_post:
      properties:
        metadata:
          $ref: '#/components/schemas/metadata'
        note:
          description: A note for the reward reversal.
          example: Charge was made in error
          type: string
      required:
        - note
      title: Reward reversal properties
      type: object
    reward_response:
      allOf:
        - $ref: '#/components/schemas/reward_base'
        - properties:
            creation_time:
              description: The timestamp representing when the reward was created
              example: '2010-05-06T12:23:34.321Z'
              format: date-time
              readOnly: true
              type: string
            currency:
              description: >-
                currency of the reward, as a three character ISO 4217 alphabetic
                currency code.
              example: USD
              type: string
            derived_from_uuid:
              description: >-
                The ID of the transaction that triggered this automated reward,
                if applicable.
              example: 55943c51-e4ff-4e57-9558-08cab6b96400
              format: uuid
              type: string
            description:
              description: The description of the reward template.
              example: Referral Reward
              type: string
            id:
              description: The ID of the reward.
              example: 44943c51-e4ff-4e57-9558-08cab6b96321
              format: uuid
              type: string
            internal_account_id:
              description: >-
                The ID of internal_account that is the source of the reward
                transfer.
              example: 42943c51-e4ff-4e57-9558-08cab6b963c8
              format: uuid
              type: string
            last_updated_time:
              description: The timestamp representing when the reward was last updated
              example: '2010-05-06T12:23:34.321Z'
              format: date-time
              readOnly: true
              type: string
            reward_category:
              $ref: '#/components/schemas/reward_category'
            reward_config_id:
              description: >-
                The ID of the reward config that generated this automated
                reward, if applicable.
              example: 77943c51-e4ff-4e57-9558-08cab6b96600
              format: uuid
              type: string
            reward_product_id:
              description: >-
                The ID of the reward product that generated this automated
                reward, if applicable.
              example: 66943c51-e4ff-4e57-9558-08cab6b96500
              format: uuid
              type: string
            subtype:
              $ref: '#/components/schemas/reward_subtype'
            tenant:
              $ref: '#/components/schemas/tenant_id'
            transaction_id:
              description: The ID the resulting transaction resource.
              example: 11943c51-e4ff-4e57-9558-08cab6b96333
              format: uuid
              type: string
      required:
        - account_id
        - amount
        - creation_time
        - currency
        - description
        - id
        - internal_account_id
        - last_updated_time
        - subtype
        - template_id
        - tenant
        - transaction_id
      title: Reward response object
      type: object
    metadata:
      description: >
        Optional field to store additional information about the resource.
        Intended to be used by the integrator to store non-sensitive data.
      type: object
    reward_base:
      properties:
        account_id:
          description: The ID of the business or customer account being charged the reward.
          example: 12943c51-e4ff-4e57-9558-08cab6b96364
          format: uuid
          type: string
        amount:
          description: >
            The amount of the reward in ISO 4217 minor currency units, e.g.
            cents.

            The internal account referenced by the reward template will be
            debited this amount.

            Defaults to the value in the reward template.
          example: 1000
          type: integer
        metadata:
          $ref: '#/components/schemas/metadata'
        note:
          description: An optional note for this instance of the reward.
          example: Reduced account reward based on phone call with customer
          type: string
        template_id:
          description: >
            The ID of the reward template to use to create the reward.

            Values from the reward template will be used as defaults for the
            reward.

            Note that the reward template may have been updated since the reward
            was created and

            that such subsequent updates to the reward template do not affect
            existing rewards.
          example: 64943c51-e4ff-4e57-9558-08cab6b96352
          format: uuid
          type: string
      title: Common properties for reward schemas
      type: object
    reward_category:
      description: >
        The category of event that triggers this reward.

        Trigger-based categories fire when a matching card transaction is
        posted.
      enum:
        - cashback:card:mcc
      type: string
    reward_subtype:
      description: |
        A short string representing the sub-type of the reward.
        This will be used as the subtype of the resulting transaction.
      enum:
        - ACCOUNT_OPENING_BONUS
        - ACCOUNT_OPENING_BONUS_REVERSAL
        - CASHBACK
        - CASHBACK_REVERSAL
        - INTEREST_RATE_BONUS
        - INTEREST_RATE_BONUS_REVERSAL
        - LOAN_INTEREST_RATE_REDUCTION
        - LOAN_INTEREST_RATE_REDUCTION_REVERSAL
        - MANUAL_ADJUSTMENT
        - MANUAL_ADJUSTMENT_REVERSAL
        - MILES
        - MILES_REVERSAL
        - MISCELLANEOUS
        - MISCELLANEOUS_REVERSAL
        - POINTS
        - POINTS_REVERSAL
        - REFERRAL_BONUS
        - REFERRAL_BONUS_REVERSAL
      type: string
    tenant_id:
      description: |
        The id of the tenant containing the resource.
      example: abcdef_ghijkl
      type: string
    error:
      description: Synctera error responses in API v1 implement a custom error schema.
      properties:
        code:
          description: >
            A machine-readable string that identifies the error for programmatic
            use.
          example: BAD_REQUEST_BODY
          type: string
        detail:
          description: |
            A human-readable string explaining this particular error.
          example: 'Missing required fields: first_name, dob'
          type: string
        status:
          description: HTTP status code for this response
          example: 400
          type: integer
      title: Synctera error response
      type: object
  responses:
    bad_request:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
      description: Bad request
    unauthorized:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
      description: Unauthorized
    forbidden:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
      description: Forbidden
    already_exists:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
      description: Resource already exists
    internal_server_error:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
      description: Internal server error
  securitySchemes:
    bearerAuth:
      bearerFormat: api_key
      scheme: bearer
      type: http

````